-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
    electrics.values['lifter'] = 0
    electrics.values['lifter_input'] = 0

    electrics.values['lifter_2'] = 0
    electrics.values['lifter_2_input'] = 0
end

local function updateGFX(dt)
    electrics.values['lifter'] = electrics.values['lifter'] + (dt*electrics.values['lifter_input'])
    electrics.values['lifter_2'] = electrics.values['lifter_2'] + (dt*electrics.values['lifter_2_input'])
end

-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M
